Bug 485447 - Please split mediawiki math out of main package
Please split mediawiki math out of main package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 11:15 EST by Michael Cronenworth
Modified: 2009-07-31 13:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.14.0-45.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 12:01:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2009-02-13 11:15:17 EST
Description of problem: 
# yum install mediawiki
[...]
Install     28 Package(s)        
Update       0 Package(s)        
Remove       0 Package(s)        
 
Total download size: 97 M
Is this ok [y/N]: n

The current mediawiki package includes a Requires: tetex-latex, tetex-dvips, which I assume from the inclusion of the math plugin. I have no use for this in my wiki setup, and for a "slim" install I'd like to not install 100 megs of fluff. Right now I'm using the upstream tarball for my wiki. I'd rather use the Fedora RPM.

Version-Release number of selected component (if applicable): 1.13.2


Additional info: Ubuntu ships the math component in a separate deb package[1] already if you would like a supporting usage case.

[1] http://packages.ubuntu.com/jaunty/mediawiki-math
Comment 1 Fedora Update System 2009-02-28 14:19:59 EST
mediawiki-1.14.0-45.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mediawiki-1.14.0-45.fc10
Comment 2 Fedora Update System 2009-02-28 14:20:08 EST
mediawiki-1.14.0-45.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mediawiki-1.14.0-45.fc9
Comment 3 Fedora Update System 2009-03-02 12:01:35 EST
mediawiki-1.14.0-45.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-03-02 12:02:21 EST
mediawiki-1.14.0-45.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.